Bug 41008 - Add object classes/attributes for UCS@school user roles
Add object classes/attributes for UCS@school user roles
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: General
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-06 14:38 CEST by Florian Best
Modified: 2016-07-04 16:53 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-04-06 14:38:37 CEST
Add the object classes:
ucsschoolStudent
ucsschoolTeacher
ucsschoolStaff
ucsschoolAdministrator

The object classes MAY have the multivalue attribute uscschoolSchool which specifies the OU where the user belongs to.
Comment 1 Florian Best univentionstaff 2016-05-13 13:26:29 CEST
The following attributes/object classes have been added:
objectIdentifier univentionSchool 1.3.6.1.4.1.10176.4000.2
abstract objectclass 'ucsschoolType' OID univentionSchool:53
objectclass  'ucsschoolTeacher' OID univentionSchool:53.1
objectclass 'ucsschoolStudent' OID univentionSchool:53.2
objectclass 'ucsschoolAdministrator' OID univentionSchool:53.3
objectclass 'ucsschoolStaff' OID univentionSchool:53.4
attribute univentionSchool:53.0:
  caseIgnoreMatch,
  caseIgnoreSubstringsMatch,
  Directory String syntax.
→ OK?

We should add univentionSchool to the ldap index.
→ Create a new bug please.
Comment 2 Florian Best univentionstaff 2016-06-13 12:56:01 CEST
Regarding LDAP Inidizies: Bug #41297
Comment 3 Daniel Tröder univentionstaff 2016-07-04 16:31:00 CEST
OK: LDAP object classes and attributes were added to the LDAP schema and are installed using ucs_registerLDAPExtension by the join script.
Comment 4 Florian Best univentionstaff 2016-07-04 16:53:49 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".